events.listen("recipes", function (e) {
  function UpgradeIndustrial(item, range) {
    e.remove({
      id: "industrialforegoing:dissolution_chamber/range_addon" + range,
    }),
      e.custom({
        input: [
          {
            item: "powah:crystal_nitro",
          },
          {
            item: "rftoolscontrol:cpu_core_2000",
          },
          {
            item: "mekanism:structural_glass",
          },
          {
            item: "botania:mana_glass",
          },
          {
            item: "industrialforegoing:range_addon" + (range - 1) + "",
          },
          {
            item: item,
          },
          {
            item: item,
          },
          {
            item: item,
          },
        ],
        inputFluid: '{FluidName:"industrialforegoing:latex",Amount:1000}',
        processingTime: 200,

        output: {
          item: "industrialforegoing:range_addon" + range,
          count: 1,
        },
        type: "industrialforegoing:dissolution_chamber",
      });
  }

  UpgradeIndustrial("minecraft:lapis_lazuli", 1);
  UpgradeIndustrial("minecraft:bone_meal", 2);
  UpgradeIndustrial("minecraft:iron_ingot", 3);
  UpgradeIndustrial("minecraft:blaze_rod", 4);
  UpgradeIndustrial("minecraft:gold_ingot", 5);
  UpgradeIndustrial("alltheores:aluminum_ingot", 6);
  UpgradeIndustrial("create:brass_ingot", 7);
  UpgradeIndustrial("powah:charged_snowball", 8);
  UpgradeIndustrial("tconstruct:slimesteel_ingot", 9);
  UpgradeIndustrial("mekanism:ingot_steel", 10);
  UpgradeIndustrial("botania:terrasteel_ingot", 11);
});
